Skip to main content
`Ctrl`+`K`

# SVDInitializePackage

This function initializes everything in the `SVD` package. It is called from `PetscDLLibraryRegister_slepcsvd()` when using dynamic libraries, and on the first call to `SVDCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode SVDInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

SVD: Singular Value Decomposition, `SVD`, `SlepcInitialize()`, `SVDFinalizePackage()`

## Level

developer

## Location

src/svd/interface/dlregissvd.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages